function PlayerDamage:_calc_armor_damage(attack_data)
	local health_subtracted = 0
	if 0 < self:get_real_armor() then
		health_subtracted = self:get_real_armor()
		self:set_armor(self:get_real_armor() - attack_data.damage)
		health_subtracted = health_subtracted - self:get_real_armor()
		self:_damage_screen()
		managers.hud:set_player_armor({
			current = self:get_real_armor(),
			total = self:_total_armor(),
			max = self:_max_armor()
		})
		SoundDevice:set_rtpc("shield_status", self:get_real_armor() / self:_total_armor() * 100)
		self:_send_set_armor()
		if 0 >= self:get_real_armor() then
			self._unit:sound():play("player_armor_gone_stinger")
			managers.chat:_receive_message(1, "Impact Alert","You took a devastating blow.", Color.red)
			managers.player:force_drop_carry()
			if attack_data.armor_piercing then
				self._unit:sound():play("player_sniper_hit_armor_gone")
			end
		end
	end
	return health_subtracted
end


